[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlCanvas.Destroy

Destructor for the class instance.

## Declaration

Source position: controls.pp line 367

`public destructor TControlCanvas.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that a device context allocated for the window handle in Control is freed prior calling the inherited destructor.

## See also

TControlCanvas.Control |  | The Control object for which the Canvas is used.
TControlCanvas.Create |  | Constructor for the class instance.